Subject: bug#30764: closed (Re: bug#30764: 26.0.91; On macOS, deleting a full screen frame crashes)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 20 Mar 2018 01:52:02 +0000

Your bug report

#30764: 26.0.91; On macOS, deleting a full screen frame crashes

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30764: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30764
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30764: 26.0.91; On macOS, deleting a full screen frame crashes
From: "John Wiegley" <[email-masked]>
To: Alan Third <[email-masked]>
Cc: [email-masked]
Date: Mon, 19 Mar 2018 18:04:15 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

>>>>> "AT" == Alan Third <[email-masked]> writes:

AT> This should have been fixed in Emacs 26 already. I certainly can’t
AT> replicate it now.

Thanks, it has been fixed.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2

Subject: 26.0.91; On macOS, deleting a full screen frame crashes
From: "John Wiegley" <[email-masked]>
To: [email-masked]
Date: Sat, 10 Mar 2018 13:10:02 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Steps:

  1. Switch to full screen. I use this function to do it:

        (defun emacs-max ()
          (interactive)
          (cl-flet ((set-param (p v) (set-frame-parameter (selected-frame) p v)))
            (set-param 'fullscreen 'fullboth)
            (set-param 'vertical-scroll-bars nil)
            (set-param 'horizontal-scroll-bars nil))
          (set-frame-font emacs-min-font))

  2. Create another frame with C-x 5 2

  3. Delete that frame with C-x 5 0

Crashes every time for me, and has for months, I just forget to report it.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2